package com.sw.mes.yb.report.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.report.dao.ZhxxProgressStatisticsDao;
import com.sw.mes.yb.report.entity.ZhxxProgressStatistics;
import com.sw.mes.yb.report.service.ZhxxProgressStatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class ZhxxProgressStatisticsServiceImpl extends BaseServiceImpl<ZhxxProgressStatistics> implements ZhxxProgressStatisticsService {
    ZhxxProgressStatisticsDao dao;
	@Autowired
    public void setDao(ZhxxProgressStatisticsDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

    @Override
    public List<Map<String, Object>> getWoolStick() {
        return dao.getWoolStick();
    }

    @Override
    public List<Map<String, Object>> getYbList() {
        return dao.getYbList();
    }

    @Override
    public List<Map<String, Object>> getFbList() {
        return dao.getFbList();
    }
}
